﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Details.aspx.cs" Inherits="Details" Title="" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" runat="server" 
    contentplaceholderid="ContentPlaceHolder1">
    
        
    <%-- Script Manager is required on any page with AJAX functionality--%>
    <asp:ScriptManager runat="server" ID="ScriptManager">
    </asp:ScriptManager>
                
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="Stock" 
        DataSourceID="ObjectDataSource1" CellPadding="15" CellSpacing="25" 
        HorizontalAlign="Center" Width="706px" >
        <ItemTemplate>
        <hr />
        <h2><%# Eval("Year") %>  <%# Eval("Make") %>  <%# Eval("Model") %> : </h2>
        <table CellSpacing="15" border="0">
            <tr>
                <td class="tableLabel" style="width:150px;">Stock Number:</td>
                <td class="tableValue"><%# Eval("Stock") %></td>
                <td class="tableLabel">Price:</td>
                <td class="tableValue"><%# Eval("Price", "{0:c}")%></td>
            </tr>
            <tr>
                <td class="tableLabel">Year Model:</td>
                <td class="tableValue"><%# Eval("Year") %></td>
                <td class="tableLabel">Mileage:</td>
                <td class="tableValue"><%# Eval("Mileage", "{0:D}")%></td>
            </tr>
            <tr>
                <td class="tableLabel">Make:</td>
                <td class="tableValue"><%# Eval("Make") %></td>
                <td class="tableLabel">Transmission:</td>
                <td class="tableValue"><%# Eval("Transmission")%></td>
            </tr>
            <tr>
                <td class="tableLabel">Model:</td>
                <td class="tableValue"><%# Eval("Model") %></td>
                <td class="tableLabel">Engine:</td>
                <td class="tableValue"><%# Eval("Engine")%></td>
            </tr>
            <tr>
                <td class="tableLabel">Exterior Color:</td>
                <td class="tableValue"><%# Eval("Exterior Color") %></td>
                <td class="tableLabel">Interior Color:</td>
                <td class="tableValue"><%# Eval("Interior Color")%></td>
            </tr>
            <tr>
                <td class="tableLabel">VIN Number:</td>
                <td class="tableValue"><%# Eval("VIN") %></td>
            </tr>
            <tr>
                <td class="tableLabel">   Description      :</td>
                <td colspan="3" class="tableValue"><%# Eval("Description") %></td>
            </tr>
            <tr>
                <td class="tableLabel">   Features         :</td>
                <td colspan="3" class="tableValue"><%# Eval("Features") %></td>
            </tr>
        </table>
        <hr />
        </ItemTemplate>
    </asp:FormView>
    <%# Eval("Year") %>
                
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
        DeleteMethod="Delete" 
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetDataByStock" 
        TypeName="InventoryTableAdapters.CarsTableAdapter" InsertMethod="Insert" 
        UpdateMethod="Update">
        <DeleteParameters>
            <asp:Parameter Name="Original_Stock" Type="String" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Price" Type="Int32" />
            <asp:Parameter Name="Type" Type="String" />
            <asp:Parameter Name="Year" Type="Int32" />
            <asp:Parameter Name="Make" Type="String" />
            <asp:Parameter Name="Model" Type="String" />
            <asp:Parameter Name="Mileage" Type="Int32" />
            <asp:Parameter Name="Exterior_Color" Type="String" />
            <asp:Parameter Name="Interior_Color" Type="String" />
            <asp:Parameter Name="Body_Style" Type="String" />
            <asp:Parameter Name="Engine" Type="String" />
            <asp:Parameter Name="Transmission" Type="String" />
            <asp:Parameter Name="Fuel_Type" Type="String" />
            <asp:Parameter Name="VIN" Type="String" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="Features" Type="String" />
            <asp:Parameter Name="Original_Stock" Type="String" />
        </UpdateParameters>
        <SelectParameters>
            <asp:QueryStringParameter Name="Stock" QueryStringField="Stock" Type="String" 
                DefaultValue="M-1" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="Stock" Type="String" />
            <asp:Parameter Name="Price" Type="Int32" />
            <asp:Parameter Name="Type" Type="String" />
            <asp:Parameter Name="Year" Type="Int32" />
            <asp:Parameter Name="Make" Type="String" />
            <asp:Parameter Name="Model" Type="String" />
            <asp:Parameter Name="Mileage" Type="Int32" />
            <asp:Parameter Name="Exterior_Color" Type="String" />
            <asp:Parameter Name="Interior_Color" Type="String" />
            <asp:Parameter Name="Body_Style" Type="String" />
            <asp:Parameter Name="Engine" Type="String" />
            <asp:Parameter Name="Transmission" Type="String" />
            <asp:Parameter Name="Fuel_Type" Type="String" />
            <asp:Parameter Name="VIN" Type="String" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="Features" Type="String" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <br />
    <asp:Timer ID="SlideShowTimer" runat="server" Interval="3000" 
        OnTick="SlideShowTimer_Tick">
    </asp:Timer>
    <br />
    <asp:UpdatePanel ID="SlideShowUpdatePanel" runat="server">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="SlideShowTimer" EventName="Tick"/>
        </Triggers>
        <ContentTemplate>
        
            <asp:Image ID="SlideShowImage" runat="server" Height="488px" Width="648px" />
        
        </ContentTemplate>
        
    </asp:UpdatePanel>
    <br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="ButtonPrevious" runat="server" Enabled="False" 
        onclick="ButtonPrevious_Click" Text="Previous" Width="72px" />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="ButtonPausePlay" runat="server" onclick="ButtonPausePlay_Click" 
        Text="PAUSE" Width="168px" />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="ButtonNext" runat="server" Enabled="False" 
        onclick="ButtonNext_Click" Text="Next" Width="72px" 
        CausesValidation="False" />
    <br />
    <br />
    <br />
</asp:Content>